%bcond_with	encoder		# build with encoder (may require license)

%define major 2
%define libname %mklibname sz %{major}
%define devname %mklibname sz -d

Summary:	SZIP - Science Data Lossless Compression library
Name:		szip
Version:	2.1
Release:	3
%if %{with encoder}
License:	Free for non-commercial, scientific use only in HDF software
%else
License:	Free for use in HDF software
%endif
Group:		System/Libraries
Url:		http://hdf.ncsa.uiuc.edu/doc_resource/SZIP/
Source0:	ftp://ftp.hdfgroup.org/lib-external/szip/%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-opt.patch
Patch1:		%{name}-linking.patch
BuildRequires:	libtool

%description
SZIP is an implementation of the extended-Rice lossless compression
algorithm. The Consultative Committee on Space Data Systems (CCSDS)
has adopted the extended-Rice algorithm for international standards
for space applications. SZIP is reported to provide fast and effective
compression, specifically for the EOS data generated by the NASA Earth
Observatory System (EOS). It was originally developed at University of
New Mexico (UNM) and integrated with HDF4 by UNM researchers and
developers.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	SZIP - Science Data Lossless Compression library
Group:		System/Libraries
Conflicts:	szip < 2.1-2
Obsoletes:	szip < 2.1-2

%description -n %{libname}
SZIP is an implementation of the extended-Rice lossless compression
algorithm. The Consultative Committee on Space Data Systems (CCSDS)
has adopted the extended-Rice algorithm for international standards
for space applications. SZIP is reported to provide fast and effective
compression, specifically for the EOS data generated by the NASA Earth
Observatory System (EOS). It was originally developed at University of
New Mexico (UNM) and integrated with HDF4 by UNM researchers and
developers.

%files -n %{libname}
%doc COPYING RELEASE.txt
%{_libdir}/libsz.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for SZIP library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	szip-devel < 2.1-2
Obsoletes:	szip-devel < 2.1-2

%description -n %{devname}
Development files for SZIP library.

%files -n %{devname}
%{_libdir}/libsz.so
%{_includedir}/*.h

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	%{!?with_encoder:--disable-encoding}
%make

%install
%makeinstall_std



%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.1-3
- (eaadf17) MassBuild#1250: Increase release tag


